Summary: Adds an enabled repo header to the yum package manager
Name: yum-plugin-repoheader
Version: 0.1
Release: 1.art
License: GPL
Group: Development/Tools
Source0: %{name}-%{version}.tar.gz
URL: http://www.atomicrocketturtle.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: python, yum >= 2.3.4

%description
The repoheader plugin for yum will add a header to the beginning output from
yum listing all the enabled repositories on the system. It is a simple 
plugin based on Daniel de Kok's repolist plugin, and is purely a dependency
for the Atomic-Yum web interface on CentOS 4 systems.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

plugins="repoheader"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/

for plug in $plugins; do
    install -m 644 $plug.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
done

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%{_sysconfdir}/yum/pluginconf.d
/usr/lib/yum-plugins

%changelog
* Mon Jan 28 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 0.1-1
- initial release
